Show / Hide Table of Contents

Namespace Oci.StreamingService.Models

Classes

ChangeConnectHarnessCompartmentDetails

Detailed representation of a change connect harness compartment operation.

ChangeStreamCompartmentDetails

Detailed representation of a change stream compartment operation.

ChangeStreamPoolCompartmentDetails

Detailed representation of a change stream pool compartment operation.

ConnectHarness

Detailed representation of a connect harness.

ConnectHarnessSummary

Summary representation of a ConnectHarness.

CreateConnectHarnessDetails

Object used to create a connect harness.

CreateCursorDetails

Object used to create a cursor to consume messages in a stream.

CreateGroupCursorDetails

Object used to create a group cursor.

CreateStreamDetails

Object used to create a stream.

CreateStreamPoolDetails

Object used to create a stream pool.

Cursor

A cursor that indicates the position in the stream from which you want to begin consuming messages and which is required by the {@link #getMessages(GetMessagesRequest) getMessages} operation.

CustomEncryptionKey

Custom Encryption Key which will be used for encryption by all the streams in the pool.

CustomEncryptionKeyDetails

The OCID of the custom encryption key to be used or deleted if currently being used.

Group

Represents the current state of a consumer group, including partition reservations and committed offsets.

KafkaSettings

Settings for the Kafka compatibility layer.

Message

A message in a stream.

PartitionReservation

Represents the state of a single partition reservation.

PrivateEndpointDetails

Optional parameters if a private stream pool is requested.

PrivateEndpointSettings

Optional settings if the stream pool is private.

PutMessagesDetails

Object that represents an array of messages to emit to a stream.

PutMessagesDetailsEntry

Object that represents a message to emit to a stream.

PutMessagesResult

The response to a {@link #putMessages(PutMessagesRequest) putMessages} request. It indicates the number of failed messages as well as an array of results for successful and failed messages.

PutMessagesResultEntry

Represents the result of a {@link #putMessages(PutMessagesRequest) putMessages} request, whether it was successful or not. If a message was successfully appended to the stream, the entry includes the offset, partition, and timestamp. If the message failed to be appended to the stream, the entry includes the error and errorMessage.

Stream

Detailed representation of a stream, including all its partitions.

StreamPool

The details of a stream pool.

StreamPoolSummary

The summary representation of a stream pool.

StreamSummary

Summary representation of a stream.

UpdateConnectHarnessDetails

Object used to update a connect harness.

UpdateGroupDetails

Request body for operationally managing a group.

UpdateStreamDetails

Object used to update a stream.

UpdateStreamPoolDetails

Object used to update the stream pool's details.

WorkRequest

An asynchronous work request. Work requests help you monitor long-running operations. When you start a long-running operation, the service creates a work request. A work request is an activity log that lets you track each step in the operation's progress. Each work request has an OCID that lets you interact with it programmatically and use it for automation.

WorkRequestError

An error encountered while performing an operation that is tracked by a work request.

WorkRequestErrorCollection

A list of work request errors. Can contain both errors and other information, such as metadata.

WorkRequestLogEntry

A log message from performing an operation that is tracked by a work request.

WorkRequestLogEntryCollection

A list of work request logs. Can contain both logs and other information, such as metadata.

WorkRequestResource

A resource created or operated on by a work request.

WorkRequestSummary

An asynchronous work request. Work requests help you monitor long-running operations. When you start a long-running operation, the service creates a work request. A work request is an activity log that lets you track each step in the operation's progress. Each work request has an OCID that lets you interact with it programmatically and use it for automation.

WorkRequestSummaryCollection

A list of work requests. Can contain both work requests and other information, such as metadata.

Enums

ActionType

Possible types of actions.

ConnectHarness.LifecycleStateEnum

ConnectHarnessSummary.LifecycleStateEnum

CreateCursorDetails.TypeEnum

CreateGroupCursorDetails.TypeEnum

CustomEncryptionKey.KeyStateEnum

OperationStatus

The status of the work request.

OperationType

The asynchronous operation tracked by the work request.

Stream.LifecycleStateEnum

StreamPool.LifecycleStateEnum

StreamPoolSummary.LifecycleStateEnum

StreamSummary.LifecycleStateEnum

UpdateGroupDetails.TypeEnum

In this article
Back to top